
{% extends "template.html" %}
{% load static %}
{% block content %}

<!DOCTYPE html>
<html>
<head>
	<title>Library</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
            crossorigin="anonymous">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
            crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy"
            crossorigin="anonymous"></script>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
		<title>Library</title>
		<link href='http://fonts.googleapis.com/css?family=Josefin+Slab:400,700' rel='stylesheet' type='text/css' />
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

		<script>
			$(document).ready(function(){
				bikin('quilting');

				
			})
			function bikin(nama){
				$.ajax({
					url: "/datajson/?cari=" + nama,
					success : function(data){
						var tr;
	                    for(var i = 0; i < data.items.length; i++){
	                        tr = $('<tr/>');
	                        tr.append("<td><img src='"+data.items[i].volumeInfo.imageLinks.thumbnail+"'></td>")
	                        tr.append("<td>"+data.items[i].volumeInfo.title+"</td>");
	                        tr.append("<td>"+data.items[i].volumeInfo.authors+"</td>");
	                        tr.append("<td>"+data.items[i].volumeInfo.publishedDate+"</td>");
	                        tr.append("<td>"+data.items[i].volumeInfo.description+"</td>");
	                        tr.append("<td><button class='bintang' id='"+i+" onclick()'><i class='fa fa-star-o'></button></td>");
	                        $('.bookList').append(tr);
	                    }
	                    var count = 0;
                    	$(".bintang").click(function(){
                        $(this).toggleClass("active");
                        if( $(this).hasClass("active") ){
                            count ++;
                            $("#fav").text(count);
                        }
                        else {
                            count --;
                            $("#fav").text(count);
                        }
                    });

					}
				})
			}
		</script>

</head>
<body>
	<div style="margin: 3% 10%">
		<h2>Buku Favorite : <p id="fav">0</p></h2>
		<table class="bookList" border="1">
				<th>Photo</th>
                <th>Book Title</th>
                <th>Author</th>
                <th>Published Date</th>
                <th>Description</th>
                <th>Favourite</th>
        </table>

	</div>
</body>
</html>
{% endblock %}